/*
 * counter_app_ant.h
 *
 *  Created on: 29. mars 2011
 *      Author: pebr
 */

#ifndef COUNTER_APP_ANT_H_
#define COUNTER_APP_ANT_H_

// constant parameters for this application, neeeded for channel setup
#define ANT_CHANNEL			0
#define ANT_NET				0
#define ANT_DEVICE_NO		1
#define ANT_DEVICE_TYPE		2
#define ANT_MANUFACTURE_ID	3

typedef struct ant_setup_t {
	uint8_t channel_type;
	ushort channel_period;
	uint8_t frequencies[3];
	bool frequency_agility_enabled;
	uint8_t tx_power;
	uint8_t search_timeout;
} ant_setup_t;

volatile ant_setup_t ant_setup;

void on_process_ant_counter_app(uint8_t size, uint8_t* buffer);

void on_ant_cmd_response_event(uint8_t size, uint8_t* buffer);
void on_ant_event_rx_broadcast(uint8_t size, uint8_t* buffer);
void on_ant_event_rx_burst_packet(uint8_t size, uint8_t* buffer);

void on_ant_mesg_invalid_id(uint8_t size, uint8_t* buffer);

#endif /* COUNTER_APP_ANT_H_ */
